Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509597 - Failed to run virt-who for VDSM mode
Summary: Failed to run virt-who for VDSM mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.5
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: Eko
URL:
Whiteboard:
Depends On: 1509595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 01:58 UTC by yuefliu
Modified: 2018-04-10 16:22 UTC (History)
5 users (show)

Fixed In Version: virt-who-0.21.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 16:21:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0895 None None None 2018-04-10 16:22:08 UTC
Github virt-who virt-who pull 115 None None None 2017-11-13 19:19:15 UTC
Github virt-who virt-who pull 125 None None None 2018-01-19 12:51:49 UTC

Comment 2 Chris Snyder 2017-11-13 19:19:15 UTC
I have a fix for the first issue in the attached PR.
The second issue is fixed by the PR for bug 1509595 (see that bug for details).

As such I've marked this bug blocked by bug 1509595.

Comment 4 Liushihui 2017-12-05 06:43:14 UTC
Still failed to run virt-who for VDSM mode in the latest  virt-who-0.21.1-1,therefore, reopen it. the detail error info as the following:

2017-12-05 01:42:28,766 [virtwho.init DEBUG] MainProcess(27139):MainThread @executor.py:__init__:52 - Using config named 'env/cmdline'
2017-12-05 01:42:28,766 [virtwho.init INFO] MainProcess(27139):MainThread @main.py:main:158 - Using configuration "env/cmdline" ("vdsm" mode)
2017-12-05 01:42:28,766 [virtwho.init INFO] MainProcess(27139):MainThread @main.py:main:160 - Using reporter_id='hp-z220-06.qe.lab.eng.nay.redhat.com-76ff36512f3f40a3b9a2c2bebc96e3a1'
2017-12-05 01:42:28,772 [rhsm.https DEBUG] MainProcess(27139):MainThread @https.py:<module>:56 - Using standard libs to provide httplib and ssl
2017-12-05 01:42:28,767 [virtwho.main DEBUG] MainProcess(27139):MainThread @executor.py:run:185 - Starting infinite loop with 3600 seconds interval
2017-12-05 01:42:28,779 [virtwho.env_cmdline DEBUG] MainProcess(27139):Thread-2 @virt.py:run:374 - Thread 'env/cmdline' started
2017-12-05 01:42:28,779 [virtwho.destination_4499800964655798746 DEBUG] MainProcess(27139):Thread-3 @virt.py:run:374 - Thread 'destination_4499800964655798746' started
2017-12-05 01:42:28,843 [virtwho.env_cmdline INFO] MainProcess(27139):Thread-2 @virt.py:_send_data:922 - Report for config "env/cmdline" gathered, placing in datastore
2017-12-05 01:42:28,845 [virtwho.env_cmdline ERROR] MainProcess(27139):Thread-2 @virt.py:run:388 - Thread 'env/cmdline' fails with exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 379, in run
    self._run()
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 335, in _run
    self._send_data(data_to_send)
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 923, in _send_data
    self.dest.put(self.config.name, data_to_send)
  File "/usr/lib/python2.7/site-packages/virtwho/datastore.py", line 42, in put
    to_store = copy.deepcopy(value)
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 334, in _reconstruct
    state = deepcopy(state, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 257, in _deepcopy_dict
    y[deepcopy(key, memo)] = deepcopy(value, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 230, in _deepcopy_list
    y.append(deepcopy(a, memo))
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 334, in _reconstruct
    state = deepcopy(state, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 257, in _deepcopy_dict
    y[deepcopy(key, memo)] = deepcopy(value, memo)
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 334, in _reconstruct
    state = deepcopy(state, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 257, in _deepcopy_dict
    y[deepcopy(key, memo)] = deepcopy(value, memo)
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 334, in _reconstruct
    state = deepcopy(state, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 257, in _deepcopy_dict
    y[deepcopy(key, memo)] = deepcopy(value, memo)
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 334, in _reconstruct
    state = deepcopy(state, memo)
  File "/usr/lib64/python2.7/copy.py", line 163, in deepcopy
    y = copier(x, memo)
  File "/usr/lib64/python2.7/copy.py", line 257, in _deepcopy_dict
    y[deepcopy(key, memo)] = deepcopy(value, memo)
  File "/usr/lib64/python2.7/copy.py", line 190, in deepcopy
    y = _reconstruct(x, rv, 1, memo)
  File "/usr/lib64/python2.7/copy.py", line 329, in _reconstruct
    y = callable(*args)
  File "/usr/lib64/python2.7/copy_reg.py", line 93, in __newobj__
    return cls.__new__(cls, *args)
TypeError: object.__new__(thread.lock) is not safe, use thread.lock.__new__()
2017-12-05 01:42:28,846 [virtwho.env_cmdline INFO] MainProcess(27139):Thread-2 @virt.py:_send_data:922 - Report for config "env/cmdline" gathered, placing in datastore
2017-12-05 01:42:28,847 [virtwho.env_cmdline INFO] MainProcess(27139):Thread-2 @virt.py:run:407 - Waiting 3600 seconds before performing action again 'env/cmdline'
2017-12-05 01:42:29,782 [virtwho.destination_4499800964655798746 DEBUG] MainProcess(27139):Thread-3 @virt.py:_send_data:599 - ErrorReport received for source: env/cmdline

Comment 14 errata-xmlrpc 2018-04-10 16:21:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0895


Note You need to log in before you can comment on or make changes to this bug.